coin_macros(3)

NAME
coin_macros - Miscellaneous Macros

 - When extending Coin, there are a number of macros one needs to know about and use.

SYNOPSIS

Detailed Description

When extending Coin, there are a number of macros one needs to know about and use. Node Macros

•   SO_NODE_HEADER

•   SO_NODE_ABSTRACT_HEADER

•   SO_NODE_SOURCE

•   SO_NODE_ABSTRACT_SOURCE

•   SO_NODE_INIT_CLASS

•   SO_NODE_INIT_ABSTRACT_CLASS

•   SO_NODE_IS_FIRST_INSTANCE

•   SO_NODE_CONSTRUCTOR

•   SO_NODE_ADD_FIELD

•   SO_NODE_DEFINE_ENUM_VALUE

Author

Generated automatically by Doxygen for Coin from the source code.